ConnectionPropertiesImpl.ConnectionProperty
Date: 2018-05-06

com.mysql.jdbc

## Class ConnectionPropertiesImpl.ConnectionProperty

- java.lang.Object
- - com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ConnectionPropertiesImpl.BooleanConnectionProperty, ConnectionPropertiesImpl.IntegerConnectionProperty, ConnectionPropertiesImpl.StringConnectionProperty
  Enclosing class:
    ConnectionPropertiesImpl

      abstract static class ConnectionPropertiesImpl.ConnectionProperty
      extends java.lang.Object
      implements java.io.Serializable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String[]` | `allowableValues`
    `(package private) java.lang.String` | `categoryName`
    `(package private) java.lang.Object` | `defaultValue`
    `(package private) java.lang.String` | `description`
    `(package private) int` | `lowerBound`
    `(package private) int` | `order`
    `(package private) java.lang.String` | `propertyName`
    `(package private) boolean` | `required`
    `(package private) static long` | `serialVersionUID`
    `(package private) java.lang.String` | `sinceVersion`
    `(package private) int` | `updateCount`
    `(package private) int` | `upperBound`
    `(package private) java.lang.Object` | `valueAsObject`
    `(package private) boolean` | `wasExplicitlySet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionPropertiesImpl.ConnectionProperty()`
    `ConnectionPropertiesImpl.ConnectionProperty(java.lang.String propertyNameToSet, java.lang.Object defaultValueToSet, java.lang.String[] allowableValuesToSet, int lowerBoundToSet, int upperBoundToSet, java.lang.String descriptionToSet, java.lang.String sinceVersionToSet, java.lang.String category, int orderInCategory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) java.lang.String[]` | `getAllowableValues()`
    `(package private) java.sql.DriverPropertyInfo` | `getAsDriverPropertyInfo()`
    `(package private) java.lang.String` | `getCategoryName()`
    `(package private) java.lang.Object` | `getDefaultValue()`
    `(package private) int` | `getLowerBound()`
    `(package private) int` | `getOrder()`
    `(package private) java.lang.String` | `getPropertyName()`
    `(package private) int` | `getUpdateCount()`
    `(package private) int` | `getUpperBound()`
    `(package private) java.lang.Object` | `getValueAsObject()`
    `(package private) abstract boolean` | `hasValueConstraints()`
    `(package private) void` | `initializeFrom(java.util.Properties extractFrom, ExceptionInterceptor exceptionInterceptor)`
    `(package private) void` | `initializeFrom(javax.naming.Reference ref, ExceptionInterceptor exceptionInterceptor)`
    `(package private) abstract void` | `initializeFrom(java.lang.String extractedValue, ExceptionInterceptor exceptionInterceptor)`
    `(package private) boolean` | `isExplicitlySet()`
    `(package private) abstract boolean` | `isRangeBased()`
    `(package private) void` | `setCategoryName(java.lang.String categoryName)`
    `(package private) void` | `setOrder(int order)`
    `(package private) void` | `setValueAsObject(java.lang.Object obj)`
    `(package private) void` | `storeTo(javax.naming.Reference ref)`
    `(package private) void` | `validateStringValues(java.lang.String valueToValidate, ExceptionInterceptor exceptionInterceptor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### allowableValues

          java.lang.String[] allowableValues

    - #### categoryName

          java.lang.String categoryName

    - #### defaultValue

          java.lang.Object defaultValue

    - #### lowerBound

          int lowerBound

    - #### order

          int order

    - #### propertyName

          java.lang.String propertyName

    - #### sinceVersion

          java.lang.String sinceVersion

    - #### upperBound

          int upperBound

    - #### valueAsObject

          java.lang.Object valueAsObject

    - #### required

          boolean required

    - #### description

          java.lang.String description

    - #### updateCount

          int updateCount

    - #### wasExplicitlySet

          boolean wasExplicitlySet

  - ### Constructor Detail

    - #### ConnectionPropertiesImpl.ConnectionProperty

          public ConnectionPropertiesImpl.ConnectionProperty()

    - #### ConnectionPropertiesImpl.ConnectionProperty

          ConnectionPropertiesImpl.ConnectionProperty(java.lang.String propertyNameToSet,
                                                     java.lang.Object defaultValueToSet,
                                                     java.lang.String[] allowableValuesToSet,
                                                     int lowerBoundToSet,
                                                     int upperBoundToSet,
                                                     java.lang.String descriptionToSet,
                                                     java.lang.String sinceVersionToSet,
                                                     java.lang.String category,
                                                     int orderInCategory)

  - ### Method Detail

    - #### getAllowableValues

          java.lang.String[] getAllowableValues()

    - #### getCategoryName

          java.lang.String getCategoryName()

      Returns:
        Returns the categoryName.

    - #### getDefaultValue

          java.lang.Object getDefaultValue()

    - #### getLowerBound

          int getLowerBound()

    - #### getOrder

          int getOrder()

      Returns:
        Returns the order.

    - #### getPropertyName

          java.lang.String getPropertyName()

    - #### getUpperBound

          int getUpperBound()

    - #### getValueAsObject

          java.lang.Object getValueAsObject()

    - #### getUpdateCount

          int getUpdateCount()

    - #### isExplicitlySet

          boolean isExplicitlySet()

    - #### hasValueConstraints

          abstract boolean hasValueConstraints()

    - #### initializeFrom

          void initializeFrom(java.util.Properties extractFrom,
                            ExceptionInterceptor exceptionInterceptor)
                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### initializeFrom

          void initializeFrom(javax.naming.Reference ref,
                            ExceptionInterceptor exceptionInterceptor)
                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### initializeFrom

          abstract void initializeFrom(java.lang.String extractedValue,
                            ExceptionInterceptor exceptionInterceptor)
                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### isRangeBased

          abstract boolean isRangeBased()

    - #### setCategoryName

          void setCategoryName(java.lang.String categoryName)

      Parameters:
        `categoryName` - The categoryName to set.

    - #### setOrder

          void setOrder(int order)

      Parameters:
        `order` - The order to set.

    - #### setValueAsObject

          void setValueAsObject(java.lang.Object obj)

    - #### storeTo

          void storeTo(javax.naming.Reference ref)

    - #### getAsDriverPropertyInfo

          java.sql.DriverPropertyInfo getAsDriverPropertyInfo()

    - #### validateStringValues

          void validateStringValues(java.lang.String valueToValidate,
                                  ExceptionInterceptor exceptionInterceptor)
                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`